Skip to main content
GET
/
attestations
/
{org}
/
list_attestations_for_criteria
List attestations for criteria
curl --request GET \
  --url https://app.kosli.com/api/v2/attestations/{org}/list_attestations_for_criteria \
  --header 'Authorization: Bearer <token>'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Query Parameters

flow_name
string | null

The flow name to search for attestations in

commit_list
string[] | null

The commit list that the attestations are associated with

Pattern: ^[a-f0-9]{40}$
attestation_name
string | null

The attestation name to search for

attestation_id
string | null

The attestation ID to search for

attestation_type
string | null

The attestation type to search for. Use built-in types (e.g., 'junit') or 'custom:' for custom types.

Response

200 - application/json

Successfully retrieved attestations

Response model for listing attestations by commit.

This model represents a dictionary mapping commit SHAs to lists of attestations. Each attestation can be of different types (generic, junit, snyk, pull_request, jira, sonar, custom).

Last modified on April 9, 2026